# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/saspy-3.1.7-on-linux_64, last modified Sun Nov 17 00:47:03 2019
# ------------------------------------------------

package:
    name: saspy
    version: 3.1.7
source:
    fn: saspy-3.1.7.tar.gz
    sha256: 9adf79812b2fb004a9ba56953662524f04dee8e8ec37eead4b9cce2eb0ac6e4b
    url: https://pypi.io/packages/source/s/saspy/saspy-3.1.7.tar.gz
build:
    noarch: python
    number: '0'
    script: /tmp/build/80754af9/saspy_1573973403580/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
    string: py_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2019.10.16 0
        - certifi 2019.9.11 py38_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_3
        - pip 19.3.1 py38_0
        - python 3.8.0 h0371630_2
        - readline 7.0 h7b6447c_5
        - setuptools 41.6.0 py38_0
        - sqlite 3.30.1 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.33.6 py38_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - ipython >=4
        - pandas
        - pygments
        - python >=3
test:
    imports:
        - saspy
about:
    description: 'This module allows a python process to connect to SAS 9.4 and run
        SAS

        code, generated by the supplied object and methods or explicitly user

        written, and returns results as text, HTML5 documents (via SAS ODS), or

        as Pandas Data Frames. It supports running analytics and returning the

        resulting graphics and result data. It can convert between SAS Data Sets

        and Pandas Data Frames. It has multiple access methods which allow it to

        connect to local or remote Linux SAS, IOM SAS on Windows or Linux

        (Including Grid Manager), and local PC SAS. It can run w/in Jupyter

        Notebooks, in line mode python or in python batch scripts.

        '
    dev_url: https://github.com/sassoftware/saspy
    doc_url: https://sassoftware.github.io/saspy
    home: https://github.com/sassoftware/saspy
    license: Apache 2.0
    license_family: Apache
    license_file: /tmp/build/80754af9/rsync-recipes/saspy-3.1.7-on-linux_64/LICENSE
    summary: A Python interface module to the SAS System
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - danielfrg
